org.apache.log4j.rule

## Class LevelInequalityRuleTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.log4j.rule.LevelInequalityRuleTest

- All Implemented Interfaces:
    junit.framework.Test

      public class LevelInequalityRuleTest
      extends junit.framework.TestCase

  Test for LevelInequalityRule.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LevelInequalityRuleTest(String testName)` Create new test.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `test1()` Test construction when level is unrecognized.
    `void` | `test2()` Tests construction when operator is unrecognized.
    `void` | `test3()` Tests evaluate of a deserialized clone when level satisfies rule.
    `void` | `test4()` Tests evaluate of a deserialized clone when level does not satisfy rule.
    `void` | `test5()` Tests evaluate when levels are JDK 1.4 levels and satisified.
    `void` | `test6()` Tests evaluate when levels are JDK 1.4 levels and not equal.
    `void` | `test7()` Tests evaluate of a deserialized clone when levels are JDK 1.4 levels and satisified.
    `void` | `test8()` Tests evaluate of a deserialized clone when levels are JDK 1.4 levels and not satified.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LevelInequalityRuleTest

          public LevelInequalityRuleTest(String testName)

      Create new test.
      Parameters:
        `testName` - test name.

  - ### Method Detail

    - #### test1

          public void test1()

      Test construction when level is unrecognized.

    - #### test2

          public void test2()

      Tests construction when operator is unrecognized.

    - #### test3

          public void test3()
                     throws IOException,
                            ClassNotFoundException

      Tests evaluate of a deserialized clone when level satisfies rule.
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### test4

          public void test4()
                     throws IOException,
                            ClassNotFoundException

      Tests evaluate of a deserialized clone when level does not satisfy rule.
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### test5

          public void test5()

      Tests evaluate when levels are JDK 1.4 levels and satisified.

    - #### test6

          public void test6()

      Tests evaluate when levels are JDK 1.4 levels and not equal.

    - #### test7

          public void test7()
                     throws IOException,
                            ClassNotFoundException

      Tests evaluate of a deserialized clone when levels are JDK 1.4 levels and satisified.
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### test8

          public void test8()
                     throws IOException,
                            ClassNotFoundException

      Tests evaluate of a deserialized clone when levels are JDK 1.4 levels and not satified.
      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.